- entry_type: violation_sequence
  metadata:
    format_version: '2.0'
    uuid: 89f1aa1b-92d5-4bf5-b84f-7f3b9115b675
    creation_time: '2024-11-21T14:20:30+01:00'
    producer:
      name: GemCutter
      version: 0.3.0-dev-1f73d82-m
    task:
      input_files:
      - /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/rfi009_rmo.oepc.i
      input_file_hashes:
        /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/rfi009_rmo.oepc.i: 6efd977ba774fd706e089a911dcd82549d76c764859cf8b84047b990ab28d067
      specification: |+
        CHECK( init(main()), LTL(G ! call(reach_error())) )

      data_model: ILP32
      language: C
  content:
  - segment:
    - waypoint:
        type: function_enter
        action: follow
        location:
          file_name: /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/rfi009_rmo.oepc.i
          file_hash: 6efd977ba774fd706e089a911dcd82549d76c764859cf8b84047b990ab28d067
          line: 858
          column: 39
          function: main
  - segment:
    - waypoint:
        type: branching
        action: follow
        constraint:
          value: 'false'
        location:
          file_name: /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/rfi009_rmo.oepc.i
          file_hash: 6efd977ba774fd706e089a911dcd82549d76c764859cf8b84047b990ab28d067
          line: 4
          column: 3
          function: assume_abort_if_not
  - segment:
    - waypoint:
        type: function_return
        action: follow
        location:
          file_name: /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/rfi009_rmo.oepc.i
          file_hash: 6efd977ba774fd706e089a911dcd82549d76c764859cf8b84047b990ab28d067
          line: 858
          column: 39
          function: main
  - segment:
    - waypoint:
        type: function_enter
        action: follow
        location:
          file_name: /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/rfi009_rmo.oepc.i
          file_hash: 6efd977ba774fd706e089a911dcd82549d76c764859cf8b84047b990ab28d067
          line: 871
          column: 37
          function: main
  - segment:
    - waypoint:
        type: branching
        action: follow
        constraint:
          value: 'true'
        location:
          file_name: /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/rfi009_rmo.oepc.i
          file_hash: 6efd977ba774fd706e089a911dcd82549d76c764859cf8b84047b990ab28d067
          line: 19
          column: 42
          function: __VERIFIER_assert
  - segment:
    - waypoint:
        type: target
        action: follow
        location:
          file_name: /storage/repos/ultimate-jdk21/releaseScripts/default/sv-benchmarks/c/pthread-wmm/rfi009_rmo.oepc.i
          file_hash: 6efd977ba774fd706e089a911dcd82549d76c764859cf8b84047b990ab28d067
          line: 19
          column: 69
          function: __VERIFIER_assert
